Package Details: emulationstation-git 1:2.4.1.r503.gc9b3f5b6-1

Git Clone URL: https://aur.archlinux.org/emulationstation-git.git (read-only, click to copy)
Package Base: emulationstation-git
Description: Emulation Station is a flexible emulator front-end supporting keyboardless navigation and custom system themes. Active fork by the RetroPie project.
Upstream URL: https://github.com/RetroPie/EmulationStation
Licenses: MIT
Provides: emulationstation
Submitter: drewbs
Maintainer: lubosz
Last Packager: lubosz
Votes: 33
Popularity: 0.000000
First Submitted: 2013-06-03 15:54
Last Updated: 2020-03-01 13:00

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

squalou commented on 2016-01-06 09:30

Tried to compile yesterday, apparently against boost 1.60.0-1

After a compilation with some minor warnings, the link step fails :

`boost::locale::generator::generate(std::string const&) const'

How can this be fixed ?

more details : (full log available if needed)

[100%] Linking CXX executable ../../emulationstation
CMakeFiles/emulationstation.dir/src/main.cpp.o: In function `main':
main.cpp:(.text.startup+0x50): undefined reference to `boost::locale::generator::generate(std::string const&) const'
collect2: error: ld returned 1 exit status
es-app/CMakeFiles/emulationstation.dir/build.make:909: recipe for target '../emulationstation' failed
make[2]: *** [../emulationstation] Error 1
CMakeFiles/Makefile2:274: recipe for target 'es-app/CMakeFiles/emulationstation.dir/all' failed
make[1]: *** [es-app/CMakeFiles/emulationstation.dir/all] Error 2
Makefile:149: recipe for target 'all' failed
make: *** [all] Error 2

RicardoScar commented on 2015-10-22 17:37

emulationstation is asking for boost-libs v1.58.0, but in the Extra repos there is boost-libs v1.59.0.
Is there something I can do?

EDIT.: Turned out I just needed to recompile (:

joao commented on 2015-05-24 11:21

emulationstation won't start on arch linux ARM - Raspberry Pi 2:

$ emulationstation
terminate called after throwing an instance of 'std::logic_error'
what(): basic_string::_S_construct null not valid
Aborted (core dumped)


tterpelle commented on 2015-05-04 13:28

For Raspberry Pi 2 support, I think you will also need to change

if [ "$CARCH" = "armv6h" ]

to

if [ "$CARCH" = "armv6h" -o "$CARCH" = "armv7h" ]

DaVarga commented on 2015-03-17 10:57

libsdl bugreport on bugzilla:
https://bugzilla.libsdl.org/show_bug.cgi?id=2879

DaVarga commented on 2015-03-17 10:46

looks like SDL2 problem,
https://github.com/Aloshi/EmulationStation/issues/395#issuecomment-76035498

pientro commented on 2015-03-10 18:36

On Raspberry2 this error when I launch it!

lvl0: Error initializing SDL!
No available video device
lvl0: Renderer failed to initialize!
lvl0: Window failed to initialize!

DaVarga commented on 2015-03-10 18:03

-added armv7h

pientro commented on 2015-03-10 14:48

please add armv7h (it works)

DaVarga commented on 2015-01-27 13:31

@eolianoe: fixed